Skip to content

Oracle SQLi Advisory (CVE-2013-2397)

by on June 18, 2013

Product Information

Product: Oracle Retail Central Office
Application : Customer Operations (Add, Search)
Affected Version: 13.1, 13.2, 13.3, 13.4
CVE: CVE-2013-2397
Patch Information: http://www.oracle.com/technetwork/topics/security/cpuapr2013-1899555.html
Discovered by: Andy Davies
Reported by: Andy Davies

Background

Oracle provides retailers with a complete, open and integrated suite of business applications, server and storage solutions engineered to work together to optimise every aspect of their business. Top retailers worldwide use Oracle Retail solutions to drive performance, deliver critical insights and fuel growth across traditional, mobile and commerce channels.

Description

An SQL injection vulnerability exists within “Customer Operations” Application.  The Add and Search Pages are vulnerable to both a Union Select Statement, and an AND-Time-Based Blind Query through several fields missing adequate input validation.  Depending on the user’s permission, further exploitation may be possible.

Vulnerability Details

As the injection is rather trivial, no details will be posted.

History

Reported 14/11/2012
Accepted: 27/11/2012
Fixed: 19/04/2013
Advisory Released: 18/06/2013

From → pentura, security, SQLi

Leave a Comment

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

Follow

Get every new post delivered to your Inbox.

Join 123 other followers

%d bloggers like this: